# Note that this is NOT a relocatable package
%define ver      1.0.40
%define rel      3
%define prefix   /usr

Summary: GNOME media programs.
Name: gnome-media
Version: %ver
Release: %rel
Copyright: LGPL
Group: Applications/Multimedia
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-media/gnome-media-%{ver}.tar.gz
Source1: gtcd.idl
Source2: gtcd.goad
BuildRoot: /var/tmp/gnome-media-%{PACKAGE_VERSION}-root
Obsoletes: gnome
URL: http://www.gnome.org
Docdir: %{prefix}/doc

Requires: extace >= 1.1.14

Patch1: gnome-media-0.99.1-sparccd.patch
Patch3: gnome-media-1.0.40-keepclosed.patch
Patch4: gnome-media-1.0.40-gtcdcorba.patch
Patch5: gnome-media-1.0.40-mocorba.patch
Patch6: gnome-media-1.0.40-fixedcorba.patch
Patch7: gnome-media-1.0.40-nogerror.patch

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-media package will
install media features like the GNOME CD player.

Install gnome-media if you want to use GNOME's multimedia
capabilities.

%changelog
* Tue Sep 21 1999 Havoc Pennington <hp@redhat.com>
- Fixed gtcd so it works without corba-gtcd
- add DrMike's no-g_error() patch 

* Mon Sep 20 1999 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.40

* Fri Sep 17 1999 Owen Taylor <otaylor@redhat.com>
- Don't keep device open in gtcd

* Thu Sep 9 1999 Owen Taylor <otaylor@redhat.com>
- Fixed warnings with previous

* Wed Sep 8 1999 Owen Taylor <otaylor@redhat.com>
- added --play option to gtcd

* Mon Aug 16 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.9.1

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Tue Jan 19 1999 Michael Fulbright <drmike@redhat.com>
- fixed building on sparc and RH 5.2 - seems to get confused into thinking
  we have cd changer support when we don't

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.1

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Sat Nov 21 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- added spanish and french translations for rpm

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Updated to 0.30 release

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-media CVS source tree

%prep
%setup -q

%patch1 -p1 -b .sparccd
%patch3 -p1 -b .keepclosed
%patch4 -p1 -b .gtcdcorba
%patch5 -p1 -b .mocorba
%patch6 -p1 -b .fixedcorba
%patch7 -p1 -b .nogerror
touch -t 197101010101 configure.in tcd/Makefile.am
cp $RPM_SOURCE_DIR/{gtcd.idl,gtcd.goad} tcd

%build

automake
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install

# strip binaries
strip `file $RPM_BUILD_ROOT/%{prefix}/bin/* | awk -F':' '/not strip/ { print $1 }'`

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/gnome/apps/*
%{prefix}/share/pixmaps/*
%config /etc/CORBA/servers/*
